/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef ELEMENTTREEDOCKER_H
#define ELEMENTTREEDOCKER_H

#include "ddocker.h"

class ElementTreeView;
/**
Shows a treeview of the current document's element tree
 
@author Hans Oischinger
*/
class ElementTreeDocker : public DDocker
{
  Q_OBJECT
public:
  ElementTreeDocker(QWidget *parent = 0, const char *name = 0);
  ~ElementTreeDocker();

protected:
  virtual void resizeEvent ( QResizeEvent * );
  ElementTreeView* m_listview;
};




#endif

