/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "generalsettingspage.h"

#include <PluginFactory>
#include <PluginManager>

#include <QtGui/QWidget>
#include <QFormLayout>
#include <QComboBox>
#include <QLineEdit>

#include <klocale.h>
#include <KDebug>
#include <KUrlRequester>
#include <KLineEdit>

namespace Kalva {

GeneralSettingsPage::GeneralSettingsPage() : QWidget()
{
	_generalsettings_ui.setupUi(this);
	_generalsettings_ui.mCollectionRoot->setMode(KFile::Directory);
	_generalsettings_ui.mCollectionRoot->lineEdit()->setObjectName("kcfg_collection_root");
	_generalsettings_ui.mCollectionRoot->lineEdit()->setSizePolicy(QSizePolicy::Minimum, QSizePolicy::Ignored);
}

GeneralSettingsPage::~GeneralSettingsPage()
{
}

void GeneralSettingsPage::writeSettings()
{
}

void GeneralSettingsPage::loadSettings()
{
}

}

#include "generalsettingspage.moc"