/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "toolboxdocker.h"

#include "widgets/strokefillpreview.h"
#include "widgets/toolboxwidget.h" 

// Qt
#include <qvbox.h>
#include <qlayout.h>

ToolboxDocker::ToolboxDocker( QWidget *parent, const char *name )
 : DDocker( parent, name )
{
  m_toolbox = new ToolboxWidget(this, "toolboxwidget");
  m_fillstrPrev = new StrokeFillPreview(this, "strokefillwidget");
  QVBoxLayout *vbox = new QVBoxLayout( this );
  vbox->setSpacing(2);
  vbox->addWidget(m_toolbox);
  vbox->addWidget(m_fillstrPrev);
  vbox->addItem(new QSpacerItem(0,10, QSizePolicy::Preferred, QSizePolicy::MinimumExpanding));
}


ToolboxDocker::~ToolboxDocker()
{
}


